#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int t;
	cin>>t;
	int n,k;
	cin>>n>>k;
	vector<int> a(n);
	for(int i = 0;i<n;i++)
	{
		cin>>a[i];
	}
	sort(a.begin(),a.end());
	if(t==0)
	{
		if((n-k)%2==0)
			cout<<"NE"<<endl;
		else
		{
			cout<<"DA";
		}
	}
	if(t==1)
	{
		
	}
	return 0;
}